Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.signature.reference
Class ReferenceSubTreeData

    java.lang.Object
      org.apache.xml.security.signature.reference.ReferenceSubTreeData

All Implemented Interfaces:
  ReferenceData, ReferenceNodeSetData

    public class ReferenceSubTreeData

extends java.lang.Object
implements ReferenceNodeSetData

A representation of a `ReferenceNodeSetData` type containing a node-set. This is a subtype of NodeSetData that represents a dereferenced same-document URI as the root of a subdocument. The main reason is for efficiency and performance, as some transforms can operate directly on the subdocument and there is no need to convert it first to an XPath node-set.

Constructor Summary
`ReferenceSubTreeData(org.w3c.dom.Node root, boolean excludeComments)`

Method Summary
`boolean` | `excludeComments()`
`org.w3c.dom.Node` | `getRoot()`
`java.util.Iterator<org.w3c.dom.Node>` | `iterator()` Returns a read-only iterator over the nodes contained in this `NodeSetData` in document order.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReferenceSubTreeData

    public ReferenceSubTreeData(org.w3c.dom.Node root,
                                boolean excludeComments)

Method Detail

### iterator

    public java.util.Iterator<org.w3c.dom.Node> iterator()

  Description copied from interface: `ReferenceNodeSetData`
  Returns a read-only iterator over the nodes contained in this `NodeSetData` in document order. Attempts to modify the returned iterator via the `remove` method throw `UnsupportedOperationException`.

  Specified by:
    `iterator` in interface `ReferenceNodeSetData`
  Returns:
    an `Iterator` over the nodes in this `NodeSetData` in document order

### getRoot

    public org.w3c.dom.Node getRoot()

### excludeComments

    public boolean excludeComments()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD